- Aldebaran documentation |
- C++ Libraries |
- index

libqipackage 2.8.7.4

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Macros Pages
Classes | Namespaces | Macros | Typedefs | Functions
package_info.hpp File Reference
`#include <string>`
`#include <list>`
`#include <map>`
`#include <qipackage/api.hpp>`
`#include <alvalue/alvalue.h>`
`#include <qipackage/language_info.hpp>`
`#include <qipackage/behavior_info.hpp>`
`#include <qipackage/dialog_info.hpp>`
`#include <qi/macro.hpp>`
`#include <qi/anyobject.hpp>`
`#include <qi/type/typeinterface.hpp>`
`#include <QFile>`

Go to the source code of this file.

## Classes
struct | qi::PackageInfo2
| A dynamic struct for managing packages information. More...
struct | qi::RobotRequirement
| This structure defines robot requirements for this package. More...
struct | qi::NaoqiRequirement
| Requirement on naoqi version. More...
struct | qi::PackageService
| Structure matching a service. More...
struct | qi::WebInfo
| A structure defining web pages location. More...
class | qi::PackageInfo
| A class that represents a package. More...

## Namespaces
| qi

## Macros
#define | _QI_PACKAGE_PACKAGE_INFO_HPP_

## Typedefs
typedef std::vector< PackageInfo > | qi::PackageInfoList

## Functions
QI_PACKAGE_API qi::PackageInfo2 | qi::loadManifest (const std::string &manifestPath)
| Returns a qi::PackageInfo2 from a manifest path. More...
QI_PACKAGE_API std::ostream & | qi::operator<< (std::ostream &os, const PackageInfo &package)
| QI_TYPE_STRUCT (::qi::RobotRequirement, model, minHeadVersion, maxHeadVersion, minBodyVersion, maxBodyVersion)
| QI_TYPE_STRUCT (::qi::NaoqiRequirement, minVersion, maxVersion)
| QI_TYPE_STRUCT (::qi::PackageService, execStart, name, autoRun, envVars)
| QI_TYPE_STRUCT_EXTENSION_ADDED_FIELDS (::qi::PackageInfo2,"installOnlyAtStartup")
| QI_TYPE_STRUCT (::qi::PackageInfo2, uuid, version, author, channel, organization, date, typeVersion, installer, path, elems, installOnlyAtStartup)
| QI_TYPE_STRUCT (::qi::WebInfo, path)

## Macro Definition Documentation

#define _QI_PACKAGE_PACKAGE_INFO_HPP_

Definition at line 11 of file package_info.hpp.

## Function Documentation

QI_TYPE_STRUCT | ( | ::qi::RobotRequirement | ,
|  | model | ,
|  | minHeadVersion | ,
|  | maxHeadVersion | ,
|  | minBodyVersion | ,
|  | maxBodyVersion |
| ) |  |

QI_TYPE_STRUCT | ( | ::qi::NaoqiRequirement | ,
|  | minVersion | ,
|  | maxVersion |
| ) |  |

QI_TYPE_STRUCT | ( | ::qi::PackageService | ,
|  | execStart | ,
|  | name | ,
|  | autoRun | ,
|  | envVars |
| ) |  |

QI_TYPE_STRUCT | ( | ::qi::PackageInfo2 | ,
|  | uuid | ,
|  | version | ,
|  | author | ,
|  | channel | ,
|  | organization | ,
|  | date | ,
|  | typeVersion | ,
|  | installer | ,
|  | path | ,
|  | elems | ,
|  | installOnlyAtStartup |
| ) |  |

QI_TYPE_STRUCT | ( | ::qi::WebInfo | ,
|  | path |
| ) |  |

QI_TYPE_STRUCT_EXTENSION_ADDED_FIELDS | ( | ::qi::PackageInfo2 | ,
|  | "installOnlyAtStartup" |
| ) |  |